Subject: bug#13553: 24.3.50; incorrect usage of IS_DIRECTORY_SEP

From: Stefan Monnier <[email-masked]>
Date: Sat, 26 Jan 2013 07:40:08 -0500

> You call file-attributes, which encodes the file name and passes it to
> 'lstat'.  The implementation of 'lstat' in w32.c then looks at the
> last byte of the encoded file name to see if there's a slash or
> backslash there.  Boom!

I see.   So, does that meant that w32.c can't faithfully implement lstat
without doing the moral equivalent of re-decoding its argument?

        Stefan